@font-face {
  font-family: 'Be Vietnam Pro';
  src: url('fonts/BeVietnamPro-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

:root {
  --drawing-color-black-white: #ffffff;
  --drawing-color-blue: #2020ff;
  --drawing-color-cyan: #00ffff;
  --drawing-color-dummy: #c18888;
  --drawing-color-green: #00ff00;
  --drawing-color-magenta: #f700f7;
  --drawing-color-orange: #ff8000;
  --drawing-color-pink: #c08080;
  --drawing-color-red: #d91e1e;
  --drawing-color-solid: #676767;
  --drawing-color-teal: #008080;
  --drawing-color-yellow: #e2e200;

  --statistics-bg: #f2f2f2;
  --statistics-border: #d6d6d6;
  --statistics-shadow: rgba(0, 0, 0, 0.15);
}

[data-theme="light"] {
  --drawing-color-black-white: white;
  --drawing-color-blue: #5c9cff;
  --drawing-color-cyan: #00e5ff;
  --drawing-color-dummy: #dcb0b0;
  --drawing-color-green: #39e639;
  --drawing-color-magenta: #ff66ff;
  --drawing-color-orange: #ff9f43;
  --drawing-color-pink: #ff5e97;
  --drawing-color-red: #ff5252;
  --drawing-color-solid: #8e9099;
  --drawing-color-teal: #00bfa5;
  --drawing-color-yellow: #ffee55;
  --statistics-bg: #252525;
  --statistics-border: #4b4b4b;
  --statistics-shadow: rgb(0 0 0 / 30%);
}

.dot {
  fill: var(--drawing-color-magenta);
}

.drawing-line {
  stroke-width: 1px;
}

.drawing-text {
  /* font-family: 'ＭＳ ゴシック'; */
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.hari {
  stroke: var(--drawing-color-black-white);
  fill: transparent;
}

.hari-kanamono,
.hari-material {
  fill: var(--drawing-color-cyan);
}

.harisei-line {
  fill: transparent;
  stroke: var(--drawing-color-green);
  stroke-width: 0.7px;
}

.harisei-text {
  fill: var(--drawing-color-green);
}

.hashira {
  fill: transparent;
  stroke: #c9c900;
}

.hashira-solid {
  fill: var(--drawing-color-yellow);
}

.hashira-details-line {
  fill: transparent;
  stroke: var(--drawing-color-cyan);
  stroke-width: 0.7px;
}

.hashira-details-kanamono {
  fill: var(--drawing-color-magenta);
}

.hashira-details-kanamono-export {
  fill: var(--drawing-color-green);
}

.hashira-details-text {
  fill: var(--drawing-color-black-white);
}

.shita-hashira {
  stroke: var(--drawing-color-black-white);
  stroke-width: 0.5px;
}

.measurement-line {
  stroke: var(--drawing-color-cyan);
  stroke-width: 0.7px;
}

.measurement-value {
  fill: var(--drawing-color-cyan);
}

.menzai-bairitsu {
  fill: var(--drawing-color-green);
}

.menzai-line {
  fill: transparent;
  stroke: var(--drawing-color-green);
  stroke-width: 2px;
}

.menzai-line-export {
  fill: var(--drawing-color-solid);
  stroke: var(--drawing-color-magenta);
}

.menzai-size {
  fill: var(--drawing-color-cyan);
}

.yuka-line {
  stroke: var(--drawing-color-dummy);
  stroke-dasharray: 7 3 1 3;
  stroke-width: 0.7px;
}

.yuka-details {
  fill: var(--drawing-color-cyan);
}

.yuka-name {
  fill: #bbb500;
}

@keyframes animation-appear {
  to {
    opacity: 1;
  }
}

@keyframes animation-disappear {
  to {
    opacity: 0;
  }
}

@keyframes animation-draw {
  to {
    stroke-dashoffset: 0;
  }
}

@keyframes animation-fade-in {
  to {
    opacity: 1;
  }
}

@keyframes animation-fade-out {
  to {
    opacity: 0.25;
  }
}

@keyframes animation-scale-hashira {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.75);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes animation-drawing {
  to {
    transform: none;
  }
}

.drawing {
  transform: translateX(8px) scale(1.5);
  animation: animation-drawing 1s ease 13s forwards;
}

.drawing-animation-group-hari-meta {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 3.5s forwards,
    animation-fade-in 0.5s ease 13s forwards,
    animation-fade-out 0.5s ease 14s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.drawing-animation-group-hashira-meta {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 0.5s forwards,
    animation-fade-in 0.5s ease 3.5s forwards,
    animation-fade-out 0.5s ease 7s forwards,
    animation-fade-in 0.5s ease 13s forwards,
    animation-fade-out 0.5s ease 14s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.drawing-animation-group-menzai {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 0.5s forwards,
    animation-fade-in 0.5s ease 7s forwards,
    animation-fade-out 0.5s ease 10s forwards,
    animation-fade-in 0.5s ease 13s forwards,
    animation-fade-out 0.5s ease 14s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.drawing-animation-group-yuka {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 0.5s forwards,
    animation-fade-in 0.5s ease 10s forwards,
    animation-fade-out 0.5s ease 14s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.drawing-animation-group-hari-length {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 0.5s forwards,
    animation-fade-in 0.5s ease 13s forwards,
    animation-fade-out 0.5s ease 21s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.drawing-animation-group-hashira-kanamono {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 0.5s forwards,
    animation-fade-in 0.5s ease 13s forwards,
    animation-fade-out 0.5s ease 14s forwards,
    animation-fade-in 0.5s ease 23s forwards;
}

.drawing-animation-group-other {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 0.5s forwards,
    animation-fade-in 0.5s ease 13s forwards,
    animation-fade-out 0.5s ease 14s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.drawing-harisei-line {
  stroke-dasharray: 33;
  stroke-dashoffset: 33;
  animation: animation-draw 1s ease 1s forwards;
}

.drawing-harisei-text {
  opacity: 0;
  animation: animation-appear 1s ease 2s forwards;
}

.drawing-hari-material {
  opacity: 0;
  animation: animation-appear 1s ease 2.5s forwards;
}

.drawing-hashira-hozo-value-extension {
  stroke-dasharray: 106;
  stroke-dashoffset: 106;
  animation: animation-draw 1s ease 4s forwards;
}

.drawing-hashira-hozo-value-text {
  opacity: 0;
  animation: animation-appear 1s ease 4.5s forwards;
}

.drawing-hashira-zakutsu-value-extension {
  stroke-dasharray: 152;
  stroke-dashoffset: 152;
  animation: animation-draw 1s ease 5.5s forwards;
}

.drawing-hashira-zakutsu-value-text {
  opacity: 0;
  animation: animation-appear 1s ease 6s forwards;
}

.drawing-menzai-bairitsu {
  opacity: 0;
  animation: animation-appear 1s ease 7.5s forwards;
}

.drawing-menzai-length {
  opacity: 0;
  animation: animation-appear 1s ease 8.5s forwards;
}

.drawing-menzai-height {
  opacity: 0;
  animation: animation-appear 1s ease 9s forwards;
}

.drawing-yuka-line {
  stroke-dasharray: 130;
  stroke-dashoffset: 130;
  animation: animation-draw 1.5s ease 10.5s forwards;
}

.drawing-yuka-name {
  opacity: 0;
  animation: animation-appear 1s ease 11s forwards;
}

.drawing-yuka-details {
  opacity: 0;
  animation: animation-appear 1s ease 11.5s forwards;
}

.statistics-box {
  opacity: 0;
  animation: animation-appear 1s ease 13.5s forwards;
}

.statistics-box-arrow {
  fill: var(--drawing-color-orange);
  stroke: #dc6e00;
  stroke-width: 0.5px;
}

.statistics-box-content {
  fill: var(--statistics-bg);
  filter: drop-shadow(-0.25em 0.25em 0.25em var(--statistics-shadow));
}

.statistics-box-ellipsis {
  fill: var(--drawing-color-green);
}

@keyframes animation-hari-length {
  50% {
    stroke: var(--drawing-color-orange);
    stroke-width: 3px;
  }

  100% {
    stroke-width: 1px;
  }
}

.statistics-box-item-hari-length {
  opacity: 0;
  animation: animation-appear 1s ease 14s forwards,
    animation-fade-out 0.5s ease 21s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.statistics-box-item-hari-length-value-1 {
  opacity: 0;
  animation: animation-appear 1s ease 14.5s forwards;
}

.statistics-box-item-hari-length-measurement-arrow {
  stroke-dasharray: 19;
  stroke-dashoffset: 19;
  animation: animation-draw 1s ease 15.5 forwards;
}

.statistics-box-item-hari-length-measurement-range {
  stroke-dasharray: 126;
  stroke-dashoffset: 126;
  animation: animation-draw 1s ease 15s forwards;
}

.statistics-box-item-hari-length-measurement-value {
  opacity: 0;
  animation: animation-appear 1s ease 15.5s forwards;
}

.statistics-box-item-hari-length-position-1 {
  opacity: 0;
  animation: animation-appear 1s ease 15s forwards;
}

.statistics-box-item-hari-length-hari-1 {
  animation: animation-hari-length 2s ease 15.5s none;
}

.statistics-box-item-hari-length-position-2 {
  opacity: 0;
  animation: animation-appear 1s ease 16.5s forwards;
}

.statistics-box-item-hari-length-hari-2 {
  animation: animation-hari-length 2s ease 17s none;
}

.statistics-box-item-hari-length-value-2 {
  opacity: 0;
  animation: animation-appear 1s ease 18.5s forwards;
}

.statistics-box-item-hari-length-position-3 {
  opacity: 0;
  animation: animation-appear 1s ease 19s forwards;
}

.statistics-box-item-hari-length-hari-3 {
  animation: animation-hari-length 2s ease 19.5s none;
}

.statistics-box-item-hari-size {
  opacity: 0;
  animation: animation-appear 1s ease 21s forwards,
    animation-fade-out 0.5s ease 22s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.statistics-box-item-hari-material {
  opacity: 0;
  animation: animation-appear 1s ease 22s forwards,
    animation-fade-out 0.5s ease 23s forwards,
    animation-fade-in 0.5s ease 29s forwards;
}

.statistics-box-item-hashira-kanamono {
  opacity: 0;
  animation: animation-appear 1s ease 23s forwards;
}

.statistics-box-item-hashira-kanamono-value-1 {
  opacity: 0;
  animation: animation-appear 1s ease 23.5s forwards;
}

.statistics-box-item-hashira-kanamono-position-1 {
  opacity: 0;
  animation: animation-appear 1s ease 24s forwards;
}

.statistics-box-item-hashira-kanamono-hashira-1 {
  animation: animation-scale-hashira 1s ease 24.5s none;
  transform-origin: center;
  transform-box: fill-box;
}

.statistics-box-item-hashira-kanamono-value-2 {
  opacity: 0;
  animation: animation-appear 1s ease 25.5s forwards;
}

.statistics-box-item-hashira-kanamono-position-2 {
  opacity: 0;
  animation: animation-appear 1s ease 26s forwards;
}

.statistics-box-item-hashira-kanamono-hashira-2 {
  animation: animation-scale-hashira 1s ease 26.5s none;
  transform-origin: center;
  transform-box: fill-box;
}

.statistics-box-item-ellipsis {
  opacity: 0;
  animation: animation-appear 1s ease 28s forwards;
}

.statistics-box-header {
  fill: var(--drawing-color-orange);
}

.statistics-box-title {
  fill: var(--drawing-color-black-white);
}

.statistics-box-value {
  fill: var(--drawing-color-teal);
}

.validation-header {
  fill: var(--drawing-color-magenta);
}

.validation-message {
  fill: var(--drawing-color-red);
}

@keyframes animation-validation-manzi-hari-normal {
  50% {
    opacity: 0.75;
    stroke: var(--drawing-color-green);
    stroke-width: 3px;
  }

  100% {
    opacity: 1;
    stroke: var(--drawing-color-black-white);
    stroke-width: 1px;
  }
}

@keyframes animation-validation-manzi-hari-error-border {
  50% {
    opacity: 0.75;
    stroke: var(--drawing-color-red);
    stroke-width: 3px;
  }

  100% {
    opacity: 1;
    stroke: #9a0000;
    stroke-width: 1px;
  }
}

@keyframes animation-validation-manzi-hari-error-fill {
  to {
    fill: var(--drawing-color-red);
  }
}

.validation-manzi-hari {
  fill: transparent;
  opacity: 0.25;
  stroke: var(--drawing-color-black-white);
  stroke-width: 0.5px;
}

.validation-manzi-hari-error {
  animation: animation-validation-manzi-hari-error-border 1s ease 3s forwards,
    animation-validation-manzi-hari-error-fill 1s ease 4s forwards;
}

.validation-manzi-hari-header {
  opacity: 0;
  animation: animation-appear 1s ease 4s forwards;
}

.validation-manzi-hari-normal {
  animation: animation-validation-manzi-hari-normal 1s ease 0s forwards;
}

.validation-manzi-hari-2 {
  animation-delay: 1s;
}

.validation-manzi-hari-3 {
  animation-delay: 2s;
}

.validation-zakutsu-harisei-line {
  stroke-dasharray: 79;
  stroke-dashoffset: 79;
  animation: animation-draw 1s ease 1.5s forwards;
}

.validation-zakutsu-harisei-text {
  opacity: 0;
  animation: animation-appear 1s ease 2s forwards;
}

.validation-zakutsu-header {
  opacity: 0;
  animation: animation-appear 1s ease 4s forwards;
}

.validation-zakutsu-header-note {
  opacity: 0;
  animation: animation-appear 1s ease 4.5s forwards;
}

.validation-zakutsu-measurement-arrow {
  stroke-dasharray: 19;
  stroke-dashoffset: 19;
  animation: animation-draw 1s ease 3s forwards;
}

.validation-zakutsu-measurement-dot {
  opacity: 0;
  animation: animation-appear 1s ease 2.5s forwards;
}

.validation-zakutsu-measurement-extention {
  stroke-dasharray: 67;
  stroke-dashoffset: 67;
  animation: animation-draw 1s ease 2.5s forwards;
}

.validation-zakutsu-measurement-range {
  stroke-dasharray: 106;
  stroke-dashoffset: 106;
  animation: animation-draw 1s ease 2.5s forwards;
}

.validation-zakutsu-measurement-value {
  opacity: 0;
  animation: animation-appear 1s ease 3s forwards;
}

.validation-zakutsu-value-extension {
  stroke-dasharray: 148;
  stroke-dashoffset: 148;
  animation: animation-draw 1s ease forwards;
}

.validation-zakutsu-value-text {
  opacity: 0;
  animation: animation-appear 1s ease 0.5s forwards;
}

@keyframes animation-validation-menzai-normal {
  50% {
    opacity: 0.75;
    stroke: var(--drawing-color-green);
    stroke-width: 3px;
  }

  100% {
    opacity: 1;
    stroke: var(--drawing-color-green);
    stroke-width: 1px;
  }
}

@keyframes animation-validation-menzai-error-border {
  50% {
    opacity: 0.75;
    stroke: var(--drawing-color-red);
    stroke-width: 3px;
  }

  100% {
    opacity: 1;
    stroke: #9a0000;
    stroke-width: 1px;
  }
}

@keyframes animation-validation-menzai-error-fill {
  to {
    fill: var(--drawing-color-red);
  }
}

.validation-menzai {
  fill: transparent;
  opacity: 0.25;
  stroke: var(--drawing-color-black-white);
  stroke-width: 0.5px;
}

.validation-menzai-error {
  animation: animation-validation-menzai-error-border 1s ease 3s forwards,
    animation-validation-menzai-error-fill 1s ease 4s forwards;
}

.validation-menzai-header {
  opacity: 0;
  animation: animation-appear 1s ease 4s forwards;
}

.validation-menzai-measurement-arrow {
  stroke-dasharray: 19;
  stroke-dashoffset: 19;
  animation: animation-draw 1s ease 5s forwards;
}

.validation-menzai-measurement-dot {
  opacity: 0;
  animation: animation-appear 1s ease 4.5s forwards;
}

.validation-menzai-measurement-extention {
  stroke-dasharray: 67;
  stroke-dashoffset: 67;
  animation: animation-draw 1s ease 4.5s forwards;
}

.validation-menzai-measurement-range {
  stroke-dasharray: 106;
  stroke-dashoffset: 106;
  animation: animation-draw 1s ease 4.5s forwards;
}

.validation-menzai-measurement-value {
  opacity: 0;
  animation: animation-appear 1s ease 5s forwards;
}

.validation-menzai-normal {
  animation: animation-validation-menzai-normal 1s ease 0s forwards;
}

.validation-menzai-2 {
  animation-delay: 1s;
}

.validation-menzai-3 {
  animation-delay: 2s;
}

.export-box {
  fill: var(--statistics-bg);
  filter: drop-shadow(0.15em 0.25em 0.5em var(--statistics-shadow));
}

.export-box-line {
  stroke: var(--drawing-color-cyan);
  stroke-width: 0.5px;
}

.export-box-text {
  fill: var(--drawing-color-pink);
}

.export-hari-details {
  opacity: 0;
  animation: animation-fade-in 0.5s ease 1.5s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 2s forwards;
}

.export-hari-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 2.3s forwards;
}

.export-hari-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 2.5s forwards;
}

.export-hari-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 1s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-extension {
  stroke-dasharray: 75;
  stroke-dashoffset: 75;
  animation: animation-draw 1s ease 1s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-kanamono-details {
  opacity: 0;
  animation: animation-fade-in 1s ease 5s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-kanamono-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 5.5s forwards;
}

.export-hari-kanamono-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 5.8s forwards;
}

.export-hari-kanamono-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 6s forwards;
}

.export-hari-kanamono-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 4.5s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-kanamono-extension {
  stroke-dasharray: 52;
  stroke-dashoffset: 52;
  animation: animation-draw 1s ease 4.5s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-kanamono-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 4s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-harisei-details {
  opacity: 0;
  animation: animation-fade-in 1s ease 8.5s forwards,
    animation-fade-out 0.5s ease 11s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-harisei-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 9s forwards;
}

.export-hari-harisei-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 9.2s forwards;
}

.export-hari-harisei-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 9.4s forwards;
}

.export-hari-harisei-details-text-4 {
  opacity: 0;
  animation: animation-appear 1s ease 9.5s forwards;
}

.export-hari-harisei-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 8s forwards,
    animation-fade-out 0.5s ease 11s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-harisei-extension-1 {
  stroke-dasharray: 112;
  stroke-dashoffset: 112;
  animation: animation-draw 1s ease 8s forwards,
    animation-fade-out 0.5s ease 11s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-harisei-extension-2 {
  stroke-dasharray: 101;
  stroke-dashoffset: 101;
  animation: animation-draw 1s ease 8s forwards,
    animation-fade-out 0.5s ease 11s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-harisei-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 7.5s forwards,
    animation-fade-out 0.5s ease 11s forwards,
    animation-fade-in 1s ease 14.5s forwards;
}

.export-hari-zairyou-details {
  opacity: 0;
  animation: animation-fade-in 1s ease 12s forwards;
}

.export-hari-zairyou-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 12.5s forwards;
}

.export-hari-zairyou-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 12.8s forwards;
}

.export-hari-zairyou-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 13s forwards;
}

.export-hari-zairyou-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 11.5s forwards;
}

.export-hari-zairyou-extension {
  stroke-dasharray: 90;
  stroke-dashoffset: 90;
  animation: animation-draw 1s ease 11.5s forwards;
}

.export-hari-zairyou-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 11s forwards;
}

.export-hashira-details {
  opacity: 0;
  animation: animation-fade-in 0.5s ease 1.5s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 2s forwards;
}

.export-hashira-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 2.3s forwards;
}

.export-hashira-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 2.5s forwards;
}

.export-hashira-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 1s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-extension {
  stroke-dasharray: 92;
  stroke-dashoffset: 92;
  animation: animation-draw 1s ease 1s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-zairyou-details {
  opacity: 0;
  animation: animation-fade-in 1s ease 5s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-zairyou-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 5.5s forwards;
}

.export-hashira-zairyou-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 5.8s forwards;
}

.export-hashira-zairyou-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 6s forwards;
}

.export-hashira-zairyou-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 4.5s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-zairyou-extension {
  stroke-dasharray: 68;
  stroke-dashoffset: 68;
  animation: animation-draw 1s ease 4.5s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-zairyou-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 4s forwards,
    animation-fade-out 0.5s ease 7.5s forwards,
    animation-fade-in 1s ease 11s forwards;
}

.export-hashira-kanamono-details {
  opacity: 0;
  animation: animation-fade-in 1s ease 8.5s forwards;
}

.export-hashira-kanamono-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 9s forwards;
}

.export-hashira-kanamono-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 9.3s forwards;
}

.export-hashira-kanamono-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 9.5s forwards;
}

.export-hashira-kanamono-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 8s forwards;
}

.export-hashira-kanamono-extension {
  stroke-dasharray: 56;
  stroke-dashoffset: 56;
  animation: animation-draw 1s ease 8s forwards;
}

.export-hashira-kanamono-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 7.5s forwards;
}

.export-menzai-details {
  opacity: 0;
  animation: animation-fade-in 0.5s ease 1.5s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.export-menzai-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 2s forwards;
}

.export-menzai-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 2.2s forwards;
}

.export-menzai-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 2.4s forwards;
}

.export-menzai-details-text-4 {
  opacity: 0;
  animation: animation-appear 1s ease 2.5s forwards;
}

.export-menzai-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 1s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.export-menzai-extension {
  stroke-dasharray: 104;
  stroke-dashoffset: 104;
  animation: animation-draw 1s ease 1s forwards,
    animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.export-menzai-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 4s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.export-menzai-bairitsu-details {
  opacity: 0;
  animation: animation-fade-in 1s ease 5s forwards;
}

.export-menzai-bairitsu-details-text-1 {
  opacity: 0;
  animation: animation-appear 1s ease 5.5s forwards;
}

.export-menzai-bairitsu-details-text-2 {
  opacity: 0;
  animation: animation-appear 1s ease 5.8s forwards;
}

.export-menzai-bairitsu-details-text-3 {
  opacity: 0;
  animation: animation-appear 1s ease 6s forwards;
}

.export-menzai-bairitsu-dot {
  opacity: 0;
  animation: animation-appear 0.5s ease 4.5s forwards;
}

.export-menzai-bairitsu-extension {
  stroke-dasharray: 81;
  stroke-dashoffset: 81;
  animation: animation-draw 1s ease 4.5s forwards;
}

.export-menzai-bairitsu-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 4s forwards;
}

.comparison-note {
  fill: var(--drawing-color-black-white);
}

.comparison-note-arrow {
  fill: var(--drawing-color-orange);
  stroke: #dc6e00;
  stroke-width: 0.5px;
}

.comparison-section-box {
  fill: transparent;
  stroke: var(--drawing-color-cyan);
  stroke-width: 0.5px;
}

.comparison-section-box-header {
  fill: var(--drawing-color-cyan);
}

.comparison-section-separator {
  stroke: var(--drawing-color-black-white);
  stroke-width: 1px;
}

@keyframes animation-scale-hari {
  0% {
    transform: rotate(270deg) scale(1);
  }

  50% {
    transform: rotate(270deg) scale(1.5);
  }

  100% {
    transform: rotate(270deg) scale(1);
  }
}

.comparison-hari-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 3s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.comparison-hari-title {
  opacity: 0;
  animation: animation-fade-in 0.5s ease 1s forwards,
    animation-fade-out 0.5s ease 3s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.comparison-hari-value {
  transform-origin: center;
  transform-box: fill-box;
  transform: rotate(270deg);
  animation: animation-scale-hari 1s ease 1.5s none,
    animation-fade-out 0.5s ease 3s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.comparison-hashira-shape {
  opacity: 1;
  transform-origin: center;
  transform-box: fill-box;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 3s forwards,
    animation-scale-hashira 1s ease 4s none,
    animation-fade-out 0.5s ease 5.5s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.comparison-hashira-title {
  opacity: 0;
  animation: animation-fade-in 0.5s ease 3.5s forwards,
    animation-fade-out 0.5s ease 5.5s forwards,
    animation-fade-in 1s ease 7.5s forwards;
}

.comparison-menzai-shape {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 5.5s forwards;
}

.comparison-menzai-value {
  transform-origin: center;
  transform-box: fill-box;
  transform: rotate(270deg);
  animation: animation-scale-hari 1s ease 6s none;
}

.comparison-menzai-title {
  opacity: 0;
  animation: animation-fade-in 0.5s ease 5.5s forwards;
}

.comparison-other {
  opacity: 1;
  animation: animation-fade-out 0.5s ease 1s forwards,
    animation-fade-in 0.5s ease 7.5s forwards;
}